﻿using Android.App;
using Android.OS;
using Android.Support.V7.App;
using Android.Runtime;
using Android.Widget;
using Android.Support.V7.Widget;
using System.Collections.Generic;
using Android.Views;
using System;
using Android.Telephony;
using System.Collections.ObjectModel;
using Android.Views.InputMethods;

namespace RecycleVDemo
{
    [Activity(Label = "@string/app_name", Theme = "@style/AppTheme", MainLauncher = true)]
    public class MainActivity : AppCompatActivity
    {
        ObservableCollection<Email> mEmails;
        RecyclerView recyclerView;
        protected override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);
            // Set our view from the "main" layout resource
            SetContentView(Resource.Layout.activity_main);
           
            Button MyButton = FindViewById<Button>(Resource.Id.MyButton);
           // MyTestView.Text = id;

            recyclerView = FindViewById<RecyclerView>(Resource.Id.recyclerView);
            mEmails = new ObservableCollection<Email>();
            mEmails.Add(new Email { Name=  "Test1@contoso.com", isSelected=false, Message="JOM1", Subject="Subject1" });
            mEmails.Add(new Email { Name = "Test2@contoso.com", isSelected = false, Message = "JOM2", Subject = "Subject2" });
            mEmails.Add(new Email { Name = "Test3@contoso.com", isSelected = false, Message = "JOM3", Subject = "Subject3" });
            mEmails.Add(new Email { Name = "Test4@contoso.com", isSelected = false, Message = "JOM4", Subject = "Subject4" });
            mEmails.Add(new Email { Name = "Test5@contoso.com", isSelected = false, Message = "JOM5", Subject = "Subject5" });
            mEmails.Add(new Email { Name = "Test6@contoso.com", isSelected = false, Message = "JOM6", Subject = "Subject6" });

            LinearLayoutManager mLayoutManager = new LinearLayoutManager(this);


            recyclerView.SetLayoutManager(mLayoutManager);

            var recyclerAdapter =new RecyclerAdapter(mEmails, this);
            recyclerView.SetAdapter(recyclerAdapter);
            MyButton.Click += (o, e) =>
            {
                
                mEmails.Clear();
                recyclerAdapter.NotifyDataSetChanged();
            };
           
        }

     
        public override bool OnOptionsItemSelected(IMenuItem item)
        {
            switch (item.ItemId)
            {
                case Android.Resource.Id.Home:
                    onBackPressed();
                    return true;
            }
            return false;

         //   return base.OnOptionsItemSelected(item);

        }

        private void onBackPressed()
        {
           
        }
    }
}