﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.Graphics;
using Android.OS;
using Android.Runtime;
using Android.Support.V4.Content;
using Android.Support.V7.Widget;
using Android.Views;
using Android.Widget;

namespace RecycleVDemo
{
    public class MyActionMode : Java.Lang.Object, ActionMode.ICallback
    {

        private RecyclerViewHolder holder;
        private Context mContext;
        private RecyclerView.Adapter mAdapter;
        private int currentPosition;
        private Button button;
        public View mView;
        private IMenu menu;
        private View menuItemView;
        private List<Email> mEmails;

        public MyActionMode(Activity mActivity, Context context) 
        {

        }

        public MyActionMode(Context context, RecyclerView.Adapter adapter, int position,View v, List<Email> Emails)
        {
            mContext = context;
            mAdapter = adapter;
            currentPosition = position;
            mView = v;
            mEmails = Emails;
        }

        public bool OnActionItemClicked(ActionMode mode, IMenuItem item)
        {

            switch (item.ItemId)
            {
                case Resource.Id.itemOneId:
                    return true;
                case Resource.Id.itemTwoId:
                    // do Update
                    return true;
                default:
                    return false;
            }
        }

        public bool OnCreateActionMode(ActionMode mode, IMenu menu)
        {
            mode.MenuInflater.Inflate(Resource.Menu.navigation_main, menu);
       //     button = (Button)menu.FindItem(Resource.Id.itemTwoId).ActionView;
       //     button = (Button)menu.FindItem(Resource.Id.itemTwoId).ActionView;
       //  //   button.Background = null;
       //     var draw = ContextCompat.GetDrawable(mContext, Resource.Drawable.three_dots);
       ////     button.SetCompoundDrawablesWithIntrinsicBounds(draw, null, null, null);
       //     button.Click += delegate {
       //         Android.Support.V7.Widget.PopupMenu menu1 = new Android.Support.V7.Widget.PopupMenu(mContext, button);
       //         menu1.Inflate(Resource.Menu.popup_menu);
       //         menu1.Show();
       //     };

            return true;
        }

        public void OnDestroyActionMode(ActionMode mode)
        {
          //  mode.
            Toast.MakeText(mContext, "Click the back button ", ToastLength.Short).Show();
            int i = 0;
            //mEmails
            foreach (var mEmail in mEmails)
            {
                mEmail.isSelected = false;
                mAdapter.NotifyItemChanged(i);
                i++;
            }
           
            // mAdapter.BindViewHolder
            //mEmails[currentPosition].setSelected(false);
            //mView.SetBackgroundColor(Color.Transparent);
            //mView.FindViewById(Resource.Id.checkBox1).Visibility = ViewStates.Invisible;
           // mAdapter.Notify();
           
            mode.Dispose();
        }

        public bool OnPrepareActionMode(ActionMode mode, IMenu menu)
        {
            return false;
        }
    }
}