﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.Graphics;
using Android.OS;
using Android.Runtime;
using Android.Support.Design.Widget;
using Android.Support.V7.Widget;
using Android.Views;
using Android.Widget;

namespace RecycleVDemo
{
    public class RecyclerAdapter : RecyclerView.Adapter
    {
        private View view;
        private Boolean isSelected = false;

        public Boolean IsSelected()
        {
            return isSelected;
        }

        public void setSelected(Boolean selected)
        {
            isSelected = selected;
        }
        private Activity mActivity;
       private MyActionMode mActionMode;
        private ObservableCollection<Email> mEmails;
        private Context context;
        private ActionMode mode;
        private BottomNavigationView bottonbar;
        public bool count = false;
        public int CountAuxiliar = 0;
        public event EventHandler<int> ItemClick;
        public RecyclerAdapter(ObservableCollection<Email> emails, Context context)
        {
            mEmails = emails;
            this.context = context;
        }

        public RecyclerAdapter(ObservableCollection<Email> emails, Activity activity)
        {
            mEmails = emails;
            mActivity = activity;
        }
        public class MyView : RecyclerView.ViewHolder
        {
            public View mMainView { get; set; }
           

            public MyView(View view) : base(view)
            {
                mMainView = view;
            }

        }

        public override int ItemCount
        {
            get { return mEmails.Count; }
        }

        public override RecyclerView.ViewHolder OnCreateViewHolder(ViewGroup parent, int viewType)
        {
            LayoutInflater inflater = LayoutInflater.From(parent.Context);
            View row = LayoutInflater.From(parent.Context).Inflate(Resource.Layout.row, parent, false);
            RecyclerViewHolder vh = new RecyclerViewHolder(row);
            return vh;
        }
        public override void OnBindViewHolder(RecyclerView.ViewHolder holder, int position)
        {
            RecyclerViewHolder myHolder = holder as RecyclerViewHolder;
            myHolder.Add_Button.Click +=(o,e)=> {
                mEmails[position].MyCount = mEmails[position].MyCount + 1;
                myHolder.editText1.Text = mEmails[position].MyCount.ToString();

            };
            myHolder.reduce_Button.Click += (o, e) =>
            {
                mEmails[position].MyCount = mEmails[position].MyCount - 1;
                myHolder.editText1.Text = mEmails[position].MyCount.ToString();
            };

            myHolder.cbx.Visibility = mEmails[position].IsSelected() ? ViewStates.Visible : ViewStates.Gone;
           
           
            myHolder.cbx.Checked = mEmails[position].IsSelected() ? mEmails[position].IsSelected() : mEmails[position].IsSelected();
            myHolder.mName.Text = mEmails[position].Name;
      
     
        }

       

        public RecyclerViewHolder myHolder;

        //void View.IOnClickListener.OnClick(View v)
        //{
        //    if (CountAuxiliar > 0 && mode != null)
        //    {
        //        int position = (int)v.Tag;
        //        mEmails[position].setSelected(!mEmails[position].IsSelected());
        //        v.SetBackgroundColor(mEmails[position].IsSelected() ? Color.LightBlue : Color.Transparent);
        //        v.FindViewById(Resource.Id.checkBox1).Visibility = mEmails[position].IsSelected() ? ViewStates.Visible : ViewStates.Invisible;
        //        //  v.FindViewById(Resource.Id.bottomNavigationView).Visibility = mEmails[position].IsSelected() ? ViewStates.Visible : ViewStates.Invisible;
        //        if (mEmails[position].IsSelected())
        //        {
        //            CountAuxiliar++;
        //        }
        //        else
        //        {
        //            CountAuxiliar--;
        //        }
        //        mode.Title = CountAuxiliar.ToString() + " " + "Selecionados";
        //        //   Toast.MakeText(v.Context, "Click : " + CountAuxiliar + "---" + position, ToastLength.Short).Show();
        //    }
        //    if (CountAuxiliar < 1 && count == true)
        //    {
        //        mode.Finish();
        //    }
        //}

    }
}